package com.diaoyun.zion.chinafrica.vo;

/**
 * 商品属性
 */
public class ProductProp {
    //属性id
    private String propId;
    //属性值
    private String propName;
    //属性图片
    private String image;
    //翻译
    private String translate;

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getPropId() {
        return propId;
    }

    public void setPropId(String propId) {
        this.propId = propId;
    }

    public String getPropName() {
        return propName;
    }

    public void setPropName(String propName) {
        this.propName = propName;
    }

    public String getTranslate() {
        return translate;
    }

    public void setTranslate(String translate) {
        this.translate = translate;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj==null) {
            return false;
        }
        if (this==obj) {
            return true;
        }
        if (obj instanceof ProductProp) {
            ProductProp productProp =(ProductProp) obj;
            if(productProp.propId.equals(this.propId)) {
                return true;
            }
        }
        return false;
    }

    @Override
    public int hashCode() {
        return propId.hashCode();
    }
}
